<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="NoContourFace"
	description="Обеспечивает управление устройством и отображает ее состояние"
	fileName="NoContourFace.jar" className="org.mati.npc.components.ass.nocontourface.NoContourFace"
	version="8876" time="17.02.2009 01:04:42">

	<Group>СКУД</Group>
	
	<!-- INLINKS -->
	<INLink name="InAuthDataHandler" description="Cвязь с устройством"
		interfaceName="org.mati.npc.components.interfaces.NPCFacesViewDataHandler"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink description="Связь с компонентом контейнером"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" name="InFaceComponent" nullable="false">
	</INLink>

	<!-- OUTLINKS -->
	<OUTLink name="OutNoContourAccessPointHandler" description="Связь с устройством"
		interfaceName="org.mati.npc.interfaces.ass.NoContourAccessPointHandler"
		linksNumber="1" nullable="true">
	</OUTLink>
	<OUTLink description="Связь с компонентом журналирования"
		interfaceName="org.mati.npc.components.interfaces.NPCSimpleLoggerHandler"
		linksNumber="1" nullable="true" name="OutLoggerHandler">
	</OUTLink>

	<!-- ATTRIBUTES -->
	<Attribute name="PositionX" description="Координата левого верхнего угла по оси X"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="PositionY" description="Координата левого верхнего угла по оси Y"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeWidth" description="Ширина" type="java.lang.Integer"
		defaultValue="497"
		nullable="false">
	</Attribute>
	<Attribute name="SizeHeight" description="Высота" nullable="false"
		defaultValue="310"
		type="java.lang.Integer">
	</Attribute>
</ClassComponent>
